/** -*- C++ -*-
	@file libept/installerview.h
	@author Peter Rockai <me@mornfall.net>
*/

#include <qtimer.h>
#include <libept/installerviewui.h>
#include <libept/groupeddesktopselector.h>

#ifndef EPT_INSTALLERVIEW_H
#define EPT_INSTALLERVIEW_H

namespace ept {
class InstallerView : public InstallerViewUi
{
    Q_OBJECT
public:
    typedef predicate::Predicate< entity::Desktop > Predicate;
    InstallerView( QWidget *p = 0, const char *n = 0 );
    GroupedDesktopSelector *selector() { return m_selector; }
protected slots:
    void textChanged();
    void showDescription( cache::entity::Desktop );
public slots:
    void rebuild();
protected:
    bool m_inRebuild;
    QTimer timer;
};

}

#endif
